local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____gridEntitiesSpecific = require("functions.gridEntitiesSpecific")
local getPits = ____gridEntitiesSpecific.getPits
local ____shouldFire = require("shouldFire")
local shouldFirePit = ____shouldFire.shouldFirePit
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostPitRender = __TS__Class()
local PostPitRender = ____exports.PostPitRender
PostPitRender.name = "PostPitRender"
__TS__ClassExtends(PostPitRender, CustomCallback)
function PostPitRender.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFirePit
    self.postRender = function()
        for ____, pit in ipairs(getPits(nil)) do
            self:fire(pit)
        end
    end
    self.callbacksUsed = {{ModCallback.POST_RENDER, self.postRender}}
end
return ____exports
